For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
AI agentsStatus PageContact sales
HomeGuidesDeveloper ToolsChangelogsCookbooks
HomeGuidesDeveloper ToolsChangelogsCookbooks
    • Payabli developer overview
    • Developer quickstart
    • Developer testing guide
    • Test accounts
  • API
    • Using the API
    • API responses
    • API changelog
          • POSTCreate user
          • GETGet user
          • PUTUpdate user
          • DELDelete user
          • PUTConfigure MFA
          • POSTAuthenticate user
          • POSTRefresh token
          • GETLogout user
          • PUTUpdate password
          • POSTReset password
          • POSTValidate MFA
          • POSTResend MFA code
          • GETList users by org
          • GETList users by paypoint
    • Webhooks
  • Embedded Components
    • Overview
    • EmbeddedMethod UI
    • PayMethod UI
    • VirtualTerminal UI
    • ExpressCheckout UI
    • Changelog
  • Server SDKs
    • Server SDKs overview
  • Other tools
    • Postman collection
    • Payabli MCP
    • Example apps

© 2026 Centavo, Inc. All rights reserved | Centavo (DBA Payabli) is a registered Payment Facilitator of PNC Bank, N.A., Pittsburgh, PA. Payabli is a registered ISO/MSP of Merrick Bank, South Jordan, UT.

PayabliTest Cards & AccountsPay In StatusesPay Out StatusesTrust Center
LogoLogo
AI agentsStatus PageContact sales
APIPay Ops endpointsUser management

Update user

|View as Markdown|Open in Claude|
PUT
/User/:userId
PUT
/api/User/:userId
$curl -X PUT https://api-sandbox.payabli.com/api/User/1000000 \
> -H "requestToken: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "responseText": "Success",
3 "isSuccess": true
4}
Use this endpoint to modify the details of a specific user within an organization.
Was this page helpful?
Previous

Get user

Next

Delete user

Authentication

requestTokenstring
API Key authentication via header

Path parameters

userIdlongRequired
User Identifier

Request

This endpoint expects an object.
accesslist of objectsOptional
additionalDatamap from strings to maps from strings to anyOptional

Custom dictionary of key:value pairs. You can use this field to store any data related to the object or for your system. If you are using custom identifiers, pass those in this object. Max length for a value is 100 characters. Example usage:

1{
2 "additionalData": {
3 "key1": "value1",
4 "key2": "value2",
5 "key3": "value3"
6 }
7}
emailstringOptionalformat: "email"<=320 characters
The user's email address.
languagestringOptional
The language code.
mfaDataobjectOptional
namestringOptional
phonestringOptional<=50 characters
The user's phone number.
pwdstringOptional
scopelist of objectsOptional
timeZoneintegerOptional

Timezone, in UTC offset. For example, -5 is Eastern time.

usrStatusintegerOptional

The user’s status:

  • Inactive: 0
  • Active: 1
  • Deleted: -99
  • Locked: 85

Response

Success
responseTextstring

Response text for operation: ‘Success’ or ‘Declined’.

isSuccessboolean

Boolean indicating whether the operation was successful. A true value indicates success. A false value indicates failure.

responseDatamap from strings to any
The object containing the response data.

Errors

400
Bad Request Error
401
Unauthorized Error
500
Internal Server Error
503
Service Unavailable Error